Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class WhereClause

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.WhereClause

public class WhereClause
extends BaseObject

A SQL `WHERE` clause that specifies the rows of data to load from a source column into a `Measure` or a `Dimension`. A `WhereClause` is owned by a `RestrictedSourceExpression`.

See Also:
  `RestrictedSourceExpression`, `MappingGroup`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`WhereClause(BaseObject input)` Creates a `WhereClause` for the specified `RestrictedSourceExpression`.

Method Summary
`java.lang.String` | `getWhereClause()` Gets the SQL `WHERE` clause specified by the `WhereClause`.
`void` | `setWhereClause(java.lang.String input)` Specifies the SQL `WHERE` clause for the `WhereClause`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `WhereClause`.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhereClause

    public WhereClause(BaseObject input)

  Creates a `WhereClause` for the specified `RestrictedSourceExpression`.
  Parameters:
    `input` - The `RestrictedSourceExpression` to own the `WhereClause`.

Method Detail

### setWhereClause

    public void setWhereClause(java.lang.String input)

  Specifies the SQL `WHERE` clause for the `WhereClause`.
  Parameters:
    `input` - A `String` that contains a valid SQL `WHERE` clause.

### getWhereClause

    public java.lang.String getWhereClause()

  Gets the SQL `WHERE` clause specified by the `WhereClause`.
  Returns:
    A `String` that contains the `WHERE` clause of the `WhereClause`.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `WhereClause`.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    An XML `String` that represents the `WhereClause`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.